using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CityMover : MonoBehaviour
{
    Vector3 pos;
    GameObject director;
    TSPsolver tspsolver;
    void Start()
    {
        this.director = GameObject.Find("TSPsolver");
        this.tspsolver = this.director.GetComponent<TSPsolver>();
    }

    public void OnMouseDrag()
    {
        pos = Camera.main.ScreenToWorldPoint(Input.mousePosition);
        pos.z = 0;
        transform.position = pos;
        tspsolver.RenewDistanceList(this.gameObject);
    }
}
